.contactList {
  color: rgb(var(--c));
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 96px 1fr;
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  height: 100%;
  overflow: hidden;
}

.content {
  padding: 24px;
  height: calc(100vh - 96px);
  overflow-x: scroll;
}

.contentMessage {
  margin: 0;
  padding: 24px;
  opacity: 0.75;
}

.contact {
  display: flex;
  align-items: center;
  min-height: 58px;
  padding: 8px 24px; /* Паддинг по горизонтали */
  cursor: pointer;
  border: none; /* Удаление границы (бордера) кнопки */
  background: none; /* Удаление фона кнопки */
  width: 100%; /* Задание ширины кнопки во всю ширину контейнера */
  text-align: left; /* Выравнивание текста слева */
  font-weight: 400;
  gap: 16px;
}

.contact:hover {
  background: rgba(var(--c), 0.1);
}

.contact_active {
  background: rgba(var(--c), 0.05);
}

.contact_active {
  position: relative;
  background: rgba(var(--c), 0.05);
}

.contact_active::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  width: 4px;
  height: 100%;
  background-color: rgb(var(--c-accent));
}

.contact_active:hover {
  background: rgba(var(--c), 0.15);
}

.details {
  flex: 1;
  overflow: hidden;
}

.contactDelete {
  display: flex;
  margin-left: 16px;
  background: none;
  opacity: 0.5;
  cursor: pointer;
  border: none;
}

.contactDelete:hover {
  opacity: 1;
}

.frameImage {
  display: block;
  width: 96px;
  height: 52px;
  flex-shrink: 0;
  border-radius: 4px;
  background: rgba(var(--c), 0.1);
}

.name {
  font-weight: 500;
  width: 95%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 16px;
}

.description {
  width: 95%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 12px;
}

.lastMessage {
  font-size: 14px;
  margin-top: 4px;
  margin-bottom: 4px;
}

.lastMessageDate {
  font-size: 12px;
  color: #8d9ea7;
  text-align: right; /* Выравнивание текста по правому краю */
  border-right: 1px solid rgba(var(--c), 0.5);
  padding-right: 16px;
}

.logotype {
  min-height: 96px;
  padding: 24px;
  display: flex;
  align-items: center;
  border-bottom: 1px solid rgba(var(--c), 0.2);
  font-size: 18px;
  font-weight: 700;
}
